<!DOCTYPE html>
<html lang="en-US">

<head>
    <title>Pepper Diagnostics</title>
	<style>
	.left{
	float: left;}
    .right{
		float: right;
		padding-right: 50px}

	.box1{
	margin: auto;
	width: 30%;
}


		.imgcentre{
		float: left;
		padding-left: 250px;}

		.box {
	margin: auto;
	width: 12%;
	margin-top: 150px;
	text-align: center;
    border: 10px solid black;
}

button {
 background-color: white;
 border: none;
 font-size: 24px;
}

	</style>

</head>

<body>
<script>

function touchscreen()
{
document.addEventListener('load', function(){

    var shutdown = document.getElementById('shutdown');
	 shutdown.addEventListener('touchstart', function(e){
		//shut down pepper
		}, false);
    }, false)
}

function randompepper ()
{
    setTimeout(function() {
    //    var t = ((Math.random() * (100 - 1) + 1)).toFixed(2);
        document.getElementById("no1").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no2").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no3").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no4").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no5").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no6").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no7").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no8").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no9").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no10").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no11").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no12").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no13").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no14").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no15").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no16").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no17").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no18").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no19").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
		document.getElementById("no20").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
//		document.getElementById("no21").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);
//		document.getElementById("no22").innerHTML = ((Math.random() * (100 - 1) + 1)).toFixed(2);

        randompepper();
    }, 1000);
}

randompepper();




</script>
<body onload="randompepper()">
<body onload="touchscreen()">
<div class="centre"> <h1> Pepper diagnostics: </h1></div>
<div class="left">
<p><b>CBI</b>..................................<span id="no1"></span></p>
<p><b>Fractionals</b>........................<span id="no2"></span></p>
<p><b>H-led</b>............................<span id="no3"></span></p>
<p><b>DS (upper)</b>.......................<span id="no4"></span></p>
<p><b>DB (lower)</b>......................<span id="no5"></span></p>
<p><b>% free</b>.........................<span id="no6"></span></p>
<p><b>% fragmented</b>.........................<span id="no7"></span></p>
<p><b>Backfill amount</b>.........................<span id="no8"></span></p>
<p><b>Rad. gra.</b> .........................<span id="no9"></span></p>
<p><b>Max. all.</b> .........................<span id="no10"></span></p>
<p><b>AoA</b> .........................<span id="no11"></span></p>
<p><b>ADirU</b> .........................<span id="no12"></span></p>
</div>
<div class="right">

<p style="color:red"><b>% usage ..........................<span id="no13"></span></b></p>
<p style="color:red"><b>% timer ..........................<span id="no14"></span></b></p>
<p style="color:red"><b>% RG rads. ..........................<span id="no15"></span></b></p>
<p style="color:red"><b>% engine ..........................<span id="no16"></span></b></p>
<p style="color:red"><b>% connectivity ..........................<span id="no17"></span></b></p>
<p style="color:red"><b> Lost packets .......................<span id="no18"></span></b></p>
<p style="color:red"><b> Access attempts .......................<span id="no19"></span></b></p>
<p style="color:red"><b> % Permissions .......................<span id="no20"></span></b></p>
</div>

<div class="box1">
<p> <b> Please monitor Pepper for overheating and % up-time </b> </p>
</div>
<p></p>
<div class="box" id="shutdown">
<form> <button type="submit" formmethod="post">Shutdown Pepper</button></form>
</div>





</body>
</html>
